/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.accessibilityservice;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class TouchInteractionController {

TouchInteractionController() { throw new RuntimeException("Stub!"); }

public void registerCallback(@android.annotation.Nullable java.util.concurrent.Executor executor, @android.annotation.NonNull android.accessibilityservice.TouchInteractionController.Callback callback) { throw new RuntimeException("Stub!"); }

public boolean unregisterCallback(@android.annotation.NonNull android.accessibilityservice.TouchInteractionController.Callback callback) { throw new RuntimeException("Stub!"); }

public void unregisterAllCallbacks() { throw new RuntimeException("Stub!"); }

public void requestTouchExploration() { throw new RuntimeException("Stub!"); }

public void requestDragging(int pointerId) { throw new RuntimeException("Stub!"); }

public void requestDelegating() { throw new RuntimeException("Stub!"); }

public void performClick() { throw new RuntimeException("Stub!"); }

public void performLongClickAndStartDrag() { throw new RuntimeException("Stub!"); }

public int getMaxPointerCount() { throw new RuntimeException("Stub!"); }

public int getDisplayId() { throw new RuntimeException("Stub!"); }

public int getState() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static java.lang.String stateToString(int state) { throw new RuntimeException("Stub!"); }

public static final int STATE_CLEAR = 0; // 0x0

public static final int STATE_DELEGATING = 4; // 0x4

public static final int STATE_DRAGGING = 3; // 0x3

public static final int STATE_TOUCH_EXPLORING = 2; // 0x2

public static final int STATE_TOUCH_INTERACTING = 1; // 0x1
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface Callback {

public void onMotionEvent(@android.annotation.NonNull android.view.MotionEvent event);

public void onStateChanged(int state);
}

}

