/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.companion;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class CompanionDeviceManager {

CompanionDeviceManager() { throw new RuntimeException("Stub!"); }

public void associate(@android.annotation.NonNull android.companion.AssociationRequest request, @android.annotation.NonNull android.companion.CompanionDeviceManager.Callback callback, @android.annotation.Nullable android.os.Handler handler) { throw new RuntimeException("Stub!"); }

public void associate(@android.annotation.NonNull android.companion.AssociationRequest request, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.companion.CompanionDeviceManager.Callback callback) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.content.IntentSender buildAssociationCancellationIntent() { throw new RuntimeException("Stub!"); }

public void enableSystemDataSyncForTypes(int associationId, int flags) { throw new RuntimeException("Stub!"); }

public void disableSystemDataSyncForTypes(int associationId, int flags) { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public java.util.List<java.lang.String> getAssociations() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.companion.AssociationInfo> getMyAssociations() { throw new RuntimeException("Stub!"); }

@Deprecated
public void disassociate(@android.annotation.NonNull java.lang.String deviceMacAddress) { throw new RuntimeException("Stub!"); }

public void disassociate(int associationId) { throw new RuntimeException("Stub!"); }

public void requestNotificationAccess(android.content.ComponentName component) { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean hasNotificationAccess(android.content.ComponentName component) { throw new RuntimeException("Stub!"); }

public void startObservingDevicePresence(@android.annotation.NonNull java.lang.String deviceAddress) throws android.companion.DeviceNotAssociatedException { throw new RuntimeException("Stub!"); }

public void stopObservingDevicePresence(@android.annotation.NonNull java.lang.String deviceAddress) throws android.companion.DeviceNotAssociatedException { throw new RuntimeException("Stub!"); }

public void attachSystemDataTransport(int associationId, @android.annotation.NonNull java.io.InputStream in, @android.annotation.NonNull java.io.OutputStream out) throws android.companion.DeviceNotAssociatedException { throw new RuntimeException("Stub!"); }

public void detachSystemDataTransport(int associationId) throws android.companion.DeviceNotAssociatedException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.content.IntentSender buildPermissionTransferUserConsentIntent(int associationId) throws android.companion.DeviceNotAssociatedException { throw new RuntimeException("Stub!"); }

public void startSystemDataTransfer(int associationId, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.os.OutcomeReceiver<java.lang.Void,android.companion.CompanionException> result) throws android.companion.DeviceNotAssociatedException { throw new RuntimeException("Stub!"); }

public static final java.lang.String EXTRA_ASSOCIATION = "android.companion.extra.ASSOCIATION";

@Deprecated public static final java.lang.String EXTRA_DEVICE = "android.companion.extra.DEVICE";

public static final int FLAG_CALL_METADATA = 1; // 0x1

public static final int RESULT_CANCELED = 0; // 0x0

public static final int RESULT_DISCOVERY_TIMEOUT = 2; // 0x2

public static final int RESULT_INTERNAL_ERROR = 3; // 0x3

public static final int RESULT_OK = -1; // 0xffffffff

public static final int RESULT_USER_REJECTED = 1; // 0x1
@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract static class Callback {

public Callback() { throw new RuntimeException("Stub!"); }

@Deprecated
public void onDeviceFound(@android.annotation.NonNull android.content.IntentSender intentSender) { throw new RuntimeException("Stub!"); }

public void onAssociationPending(@android.annotation.NonNull android.content.IntentSender intentSender) { throw new RuntimeException("Stub!"); }

public void onAssociationCreated(@android.annotation.NonNull android.companion.AssociationInfo associationInfo) { throw new RuntimeException("Stub!"); }

public abstract void onFailure(@android.annotation.Nullable java.lang.CharSequence error);
}

}

