/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class EncoderProfiles {

EncoderProfiles() { throw new RuntimeException("Stub!"); }

public int getDefaultDurationSeconds() { throw new RuntimeException("Stub!"); }

public int getRecommendedFileFormat() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.media.EncoderProfiles.AudioProfile> getAudioProfiles() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.media.EncoderProfiles.VideoProfile> getVideoProfiles() { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class AudioProfile {

AudioProfile() { throw new RuntimeException("Stub!"); }

public int getCodec() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getMediaType() { throw new RuntimeException("Stub!"); }

public int getBitrate() { throw new RuntimeException("Stub!"); }

public int getSampleRate() { throw new RuntimeException("Stub!"); }

public int getChannels() { throw new RuntimeException("Stub!"); }

public int getProfile() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class VideoProfile {

VideoProfile() { throw new RuntimeException("Stub!"); }

public int getCodec() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getMediaType() { throw new RuntimeException("Stub!"); }

public int getBitrate() { throw new RuntimeException("Stub!"); }

public int getFrameRate() { throw new RuntimeException("Stub!"); }

public int getWidth() { throw new RuntimeException("Stub!"); }

public int getHeight() { throw new RuntimeException("Stub!"); }

public int getProfile() { throw new RuntimeException("Stub!"); }

public int getBitDepth() { throw new RuntimeException("Stub!"); }

public int getChromaSubsampling() { throw new RuntimeException("Stub!"); }

public int getHdrFormat() { throw new RuntimeException("Stub!"); }

public static final int HDR_DOLBY_VISION = 4; // 0x4

public static final int HDR_HDR10 = 2; // 0x2

public static final int HDR_HDR10PLUS = 3; // 0x3

public static final int HDR_HLG = 1; // 0x1

public static final int HDR_NONE = 0; // 0x0

public static final int YUV_420 = 0; // 0x0

public static final int YUV_422 = 1; // 0x1

public static final int YUV_444 = 2; // 0x2
}

}

